/*******************************************************************************
 * HMMSegregants - Hidden Markov Model for bulk segregants analysis
 * Copyright 2012 Jorge Duitama
 *
 * This file is part of HMMSegregants.
 *
 *     HMMSegregants is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HMMSegregants is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HMMSegregants.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package edu.kuleuven.hmmSegregants;

public class HMMState {
	private HMMVariant variant;
	private double emissionLogProb;
	private double forwardLogProb;
	private double backwardLogProb;
	public HMMState(HMMVariant variant, double emissionLogProb) {
		super();
		this.variant = variant;
		this.emissionLogProb= emissionLogProb;
	}
	
	public HMMVariant getVariant() {
		return variant;
	}

	public void setVariant(HMMVariant variant) {
		this.variant = variant;
	}

	/**
	 * @return the emissionLogProb
	 */
	public double getEmissionLogProb() {
		return emissionLogProb;
	}

	/**
	 * @param emissionLogProb the emissionLogProb to set
	 */
	public void setEmissionLogProb(double emissionLogProb) {
		this.emissionLogProb = emissionLogProb;
	}

	/**
	 * @return the forwardLogProb
	 */
	public double getForwardLogProb() {
		return forwardLogProb;
	}

	/**
	 * @param forwardLogProb the forwardLogProb to set
	 */
	public void setForwardLogProb(double forwardLogProb) {
		this.forwardLogProb = forwardLogProb;
	}

	/**
	 * @return the backwardLogProb
	 */
	public double getBackwardLogProb() {
		return backwardLogProb;
	}

	/**
	 * @param backwardLogProb the backwardLogProb to set
	 */
	public void setBackwardLogProb(double backwardLogProb) {
		this.backwardLogProb = backwardLogProb;
	}
	/**
	 * @return the position
	 */
	public int getPosition() {
		return variant.getPosition();
	}
}
