/*******************************************************************************
 * HMMSegregants - Hidden Markov Model for bulk segregants analysis
 * Copyright 2012 Jorge Duitama
 *
 * This file is part of HMMSegregants.
 *
 *     HMMSegregants is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HMMSegregants is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HMMSegregants.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package edu.kuleuven.hmmSegregants;

public class HMMVariant {
	private String seqName;
	private int position;
	private String referenceAllele;
	private String alternativeAllele;
	private int totalCount;
	private int alternativeCount;
	private double logPosteriorP1;
	private double logPosteriorP2;
	private double logPosteriorB;
	private double posteriorProbability=0;
	private double alpha=0;
	public HMMVariant(String seqName, int position, String referenceAllele, String alternativeAllele, int totalCount, int alternativeCount) {
		super();
		this.seqName = seqName;
		this.position = position;
		this.referenceAllele = referenceAllele;
		this.alternativeAllele = alternativeAllele;
		this.totalCount = totalCount;
		this.alternativeCount = alternativeCount;
	}
	
	public String getSeqName() {
		return seqName;
	}

	public void setSeqName(String seqName) {
		this.seqName = seqName;
	}
	public int getPosition() {
		return position;
	}
	public void setPosition(int position) {
		this.position = position;
	}
	
	public String getReferenceAllele() {
		return referenceAllele;
	}

	public void setReferenceAllele(String referenceAllele) {
		this.referenceAllele = referenceAllele;
	}

	public String getAlternativeAllele() {
		return alternativeAllele;
	}

	public void setAlternativeAllele(String alternativeAllele) {
		this.alternativeAllele = alternativeAllele;
	}

	public int getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}
	public int getAlternativeCount() {
		return alternativeCount;
	}
	public void setAlternativeCount(int alternativeCount) {
		this.alternativeCount = alternativeCount;
	}

	public double getLogPosteriorP1() {
		return logPosteriorP1;
	}

	public void setLogPosteriorP1(double logPosteriorP1) {
		this.logPosteriorP1 = logPosteriorP1;
	}

	public double getLogPosteriorP2() {
		return logPosteriorP2;
	}

	public void setLogPosteriorP2(double logPosteriorP2) {
		this.logPosteriorP2 = logPosteriorP2;
	}

	public double getLogPosteriorB() {
		return logPosteriorB;
	}

	public void setLogPosteriorB(double logPosteriorB) {
		this.logPosteriorB = logPosteriorB;
	}

	public double getPosteriorProbability() {
		return posteriorProbability;
	}

	public void setPosteriorProbability(double posteriorProbability) {
		this.posteriorProbability = posteriorProbability;
	}

	public double getAlpha() {
		return alpha;
	}

	public void setAlpha(double alpha) {
		this.alpha = alpha;
	}
	
}
