package edu.kuleuven.hmmSegregants;

import java.io.IOException;

public class SegregantMethodComparer {

	
	public static void main(String[] args) throws IOException {
		SegregantSimulatorAutomatic simulator = new SegregantSimulatorAutomatic();
		simulator.lowTail = true;
		
		int i=0;
		while(i<args.length && args[i].charAt(0)=='-') {
			if("-S".equals(args[i])) {
				i++;
				simulator.nSites = Integer.parseInt(args[i]);
			} else if("-s".equals(args[i])) {
				i++;
				simulator.nCausativeSites = Integer.parseInt(args[i]);
			} else if("-N".equals(args[i])) {
				i++;
				simulator.nTotalSegregants = Integer.parseInt(args[i]);
			} else if("-MS".equals(args[i])) {
				i++;
				simulator.nMarkerSites = Integer.parseInt(args[i]);
			} else if("-n".equals(args[i])) {
				i++;
				simulator.nSelectedSegregants = Integer.parseInt(args[i]);
			} else if("-c".equals(args[i])) {
				i++;
				simulator.coverage = Integer.parseInt(args[i]);
			} else if("-r".equals(args[i])) {
				i++;
				//simulator.recombinationRate = Double.parseDouble(args[i]);
				simulator.cmPerKbp = Double.parseDouble(args[i]);
			/*} else if("-q".equals(args[i])) {
				i++;
				simulator.avgQTLEffect = Double.parseDouble(args[i]);
			} else if("-d".equals(args[i])) {
				i++;
				simulator.stdevQTLEffect = Double.parseDouble(args[i]);
			} */
			} else if("-tpr".equals(args[i])) {
				i++;
				simulator.truePositiveRate = Double.parseDouble(args[i]);
			} else if("-e".equals(args[i])) {
				i++;
				simulator.sequencingErrorRate = Double.parseDouble(args[i]);
			} else if("-m".equals(args[i])) {
				i++;
				simulator.model = Integer.parseInt(args[i]);
			}
			i++;
		}
		if (args.length > 0)
			simulator.outPrefix = args[i];
		else 
			simulator.outPrefix = "test";
		simulator.printParameters(System.out);
		simulator.lowTail = true;
		
		simulator.simulate();
		
		simulator.printCausalSites(simulator.causalIndexes, simulator.snps ,simulator.outPrefix+".sites");
		simulator.printCounts(simulator.counts, simulator.snps, simulator.outPrefix+"_low.counts");
		simulator.printCounts(simulator.counts_lowTail, simulator.snps, simulator.outPrefix+"_high.counts");
		
	}

	
}
